# List subscriptions Lists Subscription objects. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/subscriptions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - accountid - contracteffectivedate - creatoraccountid - creatorinvoiceownerid - invoiceownerid - name - originalid - previoussubscriptionid - renewalterm - status - islatestversion - subscriptionversionamendmentid - termenddate - termstartdate - version - cmrr - externallymanagedby - invoicescheduleid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "invoiceowner", "billtocontact", "soldtocontact", "invoiceitems", "rateplans", "rateplans.rateplancharges", "rateplans.rateplancharges.rateplanchargetiers", "account.billto", "account.soldto", "account.paymentmethods", "order" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - accountid - contracteffectivedate - creatoraccountid - creatorinvoiceownerid - invoiceownerid - name - originalid - previoussubscriptionid - renewalterm - status - islatestversion - subscriptionversionamendmentid - termenddate - termstartdate - version - cmrr - externallymanagedby - invoicescheduleid - quotenumber__qt - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the subscription. - `data.createdById` (string) The unique identifier of the user who created the subscription. - `data.createdDate` (string) The date and time when the subscription was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `data.updatedById` (string) The unique identifier of the user who last updated the subscription. - `data.updatedDate` (string) The date and time when the subscription was last updated, in the yyyy-mm-dd hh:mm:ss format. - `data.accountId` (string) The ID of the account associated with this subscription. - `data.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `data.cancelledDate` (string) The date on which the subscription was canceled. - `data.contractAcceptanceDate` (string) The date when the customer accepts the contract, in the yyyy-mm-dd format. If this field is not set: - If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. - If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.contractEffectiveDate` (string) The date when the subscription is activated, in the yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.creatorAccountId` (string) The ID of the account that created the subscription. This field is automatically populated with the ID of the account that creates the subscription. Note: This field is not available for single version subscriptions. - `data.creatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Note: This field is not available for single version subscriptions. - `data.currentTerm` (integer) The length of the period for the current subscription term. - `data.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `data.initialTerm` (integer) The length of the period for the initial subscription term. - `data.initialTermPeriodType` (string) The period type for the first subscription term. Enum: "Month", "Year", "Day", "Week" - `data.invoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription. - `data.isInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If true, then all charges for this subscription are collected into the subscription's own invoice. - `data.isSingleVersioned` (boolean) If true, the subscription is a single version subscription. - `data.name` (string) The name of the subscription. - `data.notes` (string) Additional information about the subscription. - `data.originalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the createdDate value until the subscription is amended. - `data.originalId` (string) The original rate plan charge ID. Only available for update subscription. Note: This field is not available for single version subscriptions. - `data.previousSubscriptionId` (string) The ID of the previous subscription. This field is only available if the subscription is a renewal subscription. Note: This field is not available for single version subscriptions. - `data.renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.renewalTerm` (integer) The length of the period for the subscription renewal term. - `data.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.revision` (string) An auto-generated decimal value uniquely tagged with a subscription. The value always contains one decimal place, for example, the revision of a new subscription is 1.0. If a further version of the subscription is created, the revision value will be increased by 1. Also, the revision value is always incremental regardless of deletion of subscription versions. - `data.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, in the yyyy-mm-dd format. - `data.status` (string) Subscription status. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Active", "Cancelled", "Suspended" - `data.isLatestVersion` (boolean) If true, the current subscription object is the latest version. Note: This field is not available for single version subscriptions. - `data.subscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the subscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. - `data.subscriptionStartDate` (string) Date the subscription becomes effective. - `data.subscriptionVersionAmendmentId` (string) The ID of the amendment made to this subscription version. Note: This field is not available for single version subscriptions. - `data.termEndDate` (string) Date the subscription term ends. If the subscription is evergreen, this is null or is the cancellation date (if one has been set). - `data.termStartDate` (string) Date the subscription term begins. If this is a renewal subscription, this date is different from the subscription start date. - `data.termType` (string) The type of the subscription term. Enum: "TERMED", "EVERGREEN" - `data.version` (integer) This is the subscription version automatically generated by Zuora Billing. Each order or amendment creates a new version of the subscription, which incorporates the changes made in the order or amendment. - `data.cMRR` (number) Monthly recurring revenue of the subscription. - `data.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot. - `data.billToContactId` (string) The ID of the bill-to contact for the subscription. - `data.invoiceTemplateId` (string) The ID of the invoice template associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.shipToContactId` (string) The ID of the ship-to contact for the subscription. - `data.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot. - `data.soldToContactId` (string) The ID of the sold-to contact for the subscription. - `data.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot. - `data.externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `data.lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `data.invoiceScheduleId` (string) The ID of the invoice schedule associated with the subscription. If multiple invoice schedules are created for different terms of a subscription, this field stores the latest invoice schedule. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.cancelReason` (string) The reason for a subscription cancellation copied from the changeReason field of a Cancel Subscription order action. This field contains valid value only if a subscription is cancelled through the Orders UI or API. Otherwise, the value for this field will always be null. - `data.prepayment` (boolean) Whether the subscription is prepaid. - `data.currency` (string) The currency of the subscription. Note: This field is available only if you have the Multiple Currencies feature enabled. - `data.orderId` (string) The ID of the order associated with the subscription. Note: This field is available only for orders that exist after the end of June 2023. - `data.rampId` (string) The ID of the ramp object associated with the subscription. Note: This field is available only if you have the Ramp feature enabled. - `data.paymentTerm` (string) Name of the payment term associated with the account. For example, "Net 30". The payment term determines the due dates of invoices. - `data.quoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.quoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.quoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.opportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.opportunityCloseDate__QT` (string) - `data.cpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `data.account` (object) - `data.account.id` (string) The unique identifier of the account. - `data.account.createdById` (string) The unique identifier of the user who created the account. - `data.account.createdDate` (string) The date and time when the account was created. - `data.account.updatedById` (string) The unique identifier of the user who last updated the account. - `data.account.updatedDate` (string) The date and time when the account was last updated. - `data.account.accountNumber` (string) The account number that identifies the account. - `data.account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.account.balance` (number) The customer's total invoice balance minus credit balance. - `data.account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.account.creditBalance` (number) The current credit balance on the account. - `data.account.crmId` (string) External identifier of the account in a CRM system. - `data.account.currency` (string) A currency defined in the web-based UI administrative settings. - `data.account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.account.name` (string) The name of the account. - `data.account.notes` (string) A string of up to 65,535 characters. - `data.account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.account.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.account.unappliedBalance` (number) Total unapplied balance in this currency. - `data.account.vATId` (string) EU Value Added Tax ID. - `data.account.mrr` (number) Monthly recurring revenue for the account. - `data.account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.account.billTo` (object) The bill-to contact on this account. - `data.account.shipTo` (object) The ship-to contact on the account. - `data.account.soldTo` (object) The sold-to contact on the account. - `data.account.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.account.subscriptions` (array) The subscriptions associated with the account. - `data.account.payments` (array) The payments associated with the account. - `data.account.refunds` (array) The refunds associated with the account. - `data.account.creditMemos` (array) The credit memos associated with the account. - `data.account.debitMemos` (array) The debit memos associated with the account. - `data.account.invoices` (array) The invoices associated with the account. - `data.account.usages` (array) The usage records associated with the account. - `data.account.paymentMethods` (array) The payment methods associated with the account. - `data.invoiceOwner` (object) - `data.billToContact` (object) - `data.billToContact.id` (string) The unique identifier of the contact. - `data.billToContact.createdById` (string) The unique identifier of the user who created the contact. - `data.billToContact.createdDate` (string) The date and time when the contact was created. - `data.billToContact.updatedById` (string) The unique identifier of the user who last updated the contact. - `data.billToContact.updatedDate` (string) The date and time when the contact was last updated. - `data.billToContact.accountId` (string) The ID of the account associated with the contact. - `data.billToContact.address1` (string) The first line of the contact's address, which is often a street address or business name. - `data.billToContact.address2` (string) The second line of the contact's address. - `data.billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `data.billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `data.billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `data.billToContact.city` (string) The city of the contact's address. - `data.billToContact.country` (string) The country of the contact's address. - `data.billToContact.county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `data.billToContact.fax` (string) The contact's fax number. - `data.billToContact.description` (string) A description for the contact. - `data.billToContact.firstName` (string) The contact's first name. - `data.billToContact.homePhone` (string) The contact's home phone number. - `data.billToContact.lastName` (string) The contact's last name. - `data.billToContact.mobilePhone` (string) The mobile phone number of the contact. - `data.billToContact.nickname` (string) A nickname for the contact. - `data.billToContact.otherPhone` (string) An additional phone number for the contact. - `data.billToContact.otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `data.billToContact.personalEmail` (string) The contact's personal email address. - `data.billToContact.state` (string) The state or province of the contact's address. - `data.billToContact.postalCode` (string) ZIP code or other postal code of the contact's address. - `data.billToContact.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `data.billToContact.workEmail` (string) The contact's business email address. - `data.billToContact.workPhone` (string) The contact's business phone number. - `data.soldToContact` (object) - `data.invoiceItems` (array) - `data.invoiceItems.id` (string) The unique identifier of the invoice item. - `data.invoiceItems.createdById` (string) The unique identifier of the user who created the invoice item. - `data.invoiceItems.createdDate` (string) The date and time when the invoice item was created. - `data.invoiceItems.updatedById` (string) The unique identifier of the user who last updated the invoice item. - `data.invoiceItems.updatedDate` (string) The date and time when the invoice item was last updated. - `data.invoiceItems.invoiceId` (string) The unique identifier of the invoice to which this invoice item belongs. - `data.invoiceItems.invoiceScheduleId` (string) The ID of the invoice schedule associated with the rate plan charge on the subscription. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.invoiceItems.invoiceScheduleItemId` (string) The ID of the invoice schedule item that generates this invoice item. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.invoiceItems.ratePlanChargeId` (string) The ID of the rate plan charge associated with the invoice item. - `data.invoiceItems.accountingCode` (string) The accounting code associated with the invoice item. - `data.invoiceItems.appliedToInvoiceItemId` (string) The unique ID of the invoice item that the discount charge is applied to. - `data.invoiceItems.chargeAmount` (number) The amount of the charge. Note: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge. - `data.invoiceItems.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `data.invoiceItems.chargeName` (string) The name of the charge. - `data.invoiceItems.chargeNumber` (string) Number of the charge. - `data.invoiceItems.commitmentChargeNumber` (string) - `data.invoiceItems.commitmentChargeSegmentNumber` (string) - `data.invoiceItems.description` (string) The description of the invoice item. - `data.invoiceItems.discountAmount` (number) The amount of the discount. - `data.invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.fulfillmentId` (string) The reference ID of the fulfillment associated with the invoice item. - `data.invoiceItems.itemShipToContactId` (string) The ID of the ship-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.itemSoldToContactId` (string) The ID of the sold-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.processingType` (string) The kind of the charge for the invoice item. - 0: charge - 1: discount - 2: prepayment - 3: tax Enum: "0", "1", "2", "3" - `data.invoiceItems.quantity` (number) The quantity of this item, in the configured unit of measure for the charge. - `data.invoiceItems.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `data.invoiceItems.revRecStartDate` (string) - `data.invoiceItems.serviceEndDate` (string) The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_. - `data.invoiceItems.serviceStartDate` (string) The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge. - `data.invoiceItems.sKU` (string) The SKU of the product associated with the invoice item. - `data.invoiceItems.sourceItemType` (string) The type of the source item. Enum: "SubscriptionComponent", "Rounding", "ProductRatePlanCharge", "None", "OrderLineItem" - `data.invoiceItems.subscriptionId` (string) ID of the subscription associated with the invoice item. - `data.invoiceItems.subscriptionNumber` (string) Number of the subscription associated with the invoice item. - `data.invoiceItems.taxAmount` (number) The amount of tax applied to the charge. - `data.invoiceItems.taxCode` (string) The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `data.invoiceItems.taxExemptAmount` (number) - `data.invoiceItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `data.invoiceItems.unitPrice` (number) The per-unit price of the invoice item. Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts). - `data.invoiceItems.uOM` (string) The unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge. - `data.invoiceItems.balance` (number) The balance of the invoice item. Note: This field is only available if you have the Invoice Settlement feature enabled. - `data.invoiceItems.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled. - `data.invoiceItems.accountReceivableAccountingCodeId` (string) ID of the account receivable accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.recognizedRevenueAccountingCodeId` (string) ID of the recognized revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.deferredRevenueAccountingCodeId` (string) ID of the deferred revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.contractAssetAccountingCodeId` (string) ID of the accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.contractLiabilityAccountingCodeId` (string) ID of the accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.contractRecognizedRevenueAccountingCodeId` (string) ID of the accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.unbilledReceivablesAccountingCodeId` (string) - `data.invoiceItems.adjustmentRevenueAccountingCodeId` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.adjustmentLiabilityAccountingCodeId` (string) ID of the accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.journalEntryId` (string) The ID of the journal entry that corresponds to this invoice item. - `data.invoiceItems.accountId` (string) The ID of the account associated with the invoice item. - `data.invoiceItems.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `data.invoiceItems.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `data.invoiceItems.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `data.invoiceItems.parentAccountId` (string) The parent account of the account associated with the invoice. Note: This field is available only if you have Customer Hierarchy enabled for your tenant. - `data.invoiceItems.billToContactId` (string) The ID of the bill-to contact associated with the invoice. - `data.invoiceItems.shipToContactId` (string) The ID of the ship-to contact associated with the invoice. - `data.invoiceItems.soldToContactId` (string) The ID of the sold-to contact associated with the invoice. - `data.invoiceItems.defaultPaymentMethodId` (string) The ID of the default payment method on the associated account. - `data.invoiceItems.ratePlanId` (string) The ID of the rate plan that the invoice is created from. - `data.invoiceItems.amendmentId` (string) The ID of the amendment associated with the subscription. Note: This field is available only if you do not have Orders enabled for your tenant. - `data.invoiceItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. - `data.invoiceItems.productRatePlanId` (string) The ID of the product rate plan that the invoice item is created from. - `data.invoiceItems.productId` (string) The ID of the product that the invoice item is created from. - `data.invoiceItems.bookingReference` (string) The booking reference of the invoice item. - `data.invoiceItems.itemType` (string) The type of the invoice item. - `data.invoiceItems.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `data.invoiceItems.revRecCode` (string) The revenue recognition code. - `data.invoiceItems.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `data.invoiceItems.revenueRecognitionRuleName` (string) The revenue recognition rule of the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.subscriptionOwnerId` (string) The ID of the subscription owner associated with the invoice item. - `data.invoiceItems.orderLineItemId` (string) The reference ID of the oder line item associated with the invoice item. - `data.invoiceItems.invoice` (object) The invoices to which the invoice item belongs. - `data.invoiceItems.subscription` (object) The invoice to which the invoice item belongs. - `data.invoiceItems.ratePlanCharge` (object) The rate plan charge associated with the invoice item. - `data.invoiceItems.orderLineItem` (object) The order line item associated with the invoice item. - `data.ratePlans` (array) - `data.ratePlans.id` (string) The unique identifier of the rate plan. - `data.ratePlans.createdById` (string) The unique identifier of the user who created the rate plan. - `data.ratePlans.createdDate` (string) The date and time when the rate plan was created. - `data.ratePlans.updatedById` (string) The unique identifier of the user who last updated the rate plan. - `data.ratePlans.updatedDate` (string) The date and time when the rate plan was last updated. - `data.ratePlans.productId` (string) The unique identifier of the product associated with the rate plan. - `data.ratePlans.amendmentId` (string) The unique identifier of the amendment made to the subscription. Note: This field is not available for single version subscriptions. - `data.ratePlans.amendmentType` (string) The type of amendment associated with the rate plan. This field only applies to amendment rate plans. Note: This field is not available for single version subscriptions. - `data.ratePlans.name` (string) The name of the rate plan. - `data.ratePlans.productRatePlanId` (string) The unique identifier of the product rate plan that the rate plan is based on. - `data.ratePlans.subscriptionId` (string) The unique identifier of the subscription associated with the rate plan. - `data.ratePlans.subscriptionOwnerId` (string) The unique identifier of the account that owns the subscription. - `data.ratePlans.invoiceOwnerId` (string) The unique identifier of the account that will pay the invoice. - `data.ratePlans.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `data.ratePlans.originalRatePlanId` (string) The original ID of the subscription rate plan, which is the ID of the subscription rate plan in the version-1 subscription. - `data.ratePlans.subscriptionOfferId` (string) The unique identifier of the subscription offer associated with the rate plan. Note: This field is not available for single version subscriptions. - `data.ratePlans.subscriptionRatePlanNumber` (string) The number of the rate plan in the subscription. - `data.ratePlans.subscription` (object) The subscription associated with the rate plan. - `data.ratePlans.productRatePlan` (object) The product rate plan associated with the rate plan. - `data.ratePlans.reverted` (boolean) Indicates whether the rate plan has been reverted. - `data.ratePlans.ratePlanCharges` (array) The rate plan charges on the rate plan. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.